import './assets/main.css'

import { createApp } from 'vue'
import { createPinia } from 'pinia'

import App from './App.vue'
import router from './router'

import { Modal, message } from 'ant-design-vue';
import 'ant-design-vue/es/message/style/css';
import 'ant-design-vue/es/modal/style/css';

console.info(`%c%c v2.4.61 %c 武汉大势恒通科技有限责任公司 `,
  'color: #3eaf7c; font-size: 16px;line-height:30px;',
  'background: #35495e; padding: 4px; border-radius: 3px 0 0 3px; color: #fff',
  'background: #41b883; padding: 4px; border-radius: 0 3px 3px 0; color: #fff',
);

const app = createApp(App)

app.config.globalProperties.$Modal = Modal;
app.config.globalProperties.$message = message;

app.use(createPinia())
app.use(router)

app.mount('#app')
